#
# spec file for package python-node-semver
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define skip_python2 1
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-node-semver
Version:        0.3.0
Release:        lp150.1.1
Summary:        Port of node-semver
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/podhmo/python-semver
Source:         https://github.com/podhmo/python-semver/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  %{python_module base}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
python version of node-semver (https://github.com/isaacs/node-semver)

%prep
%setup -q -n python-semver-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%doc LICENSE README.rst
%{python_sitelib}/*

%changelog
* Fri Feb  9 2018 mpluskal@suse.com
- Update to version 0.3.0:
  * drop python2.x support
  * bug fix, Add sort key function #14
* Mon Dec 25 2017 mpluskal@suse.com
- Use github source
- Run tests
* Mon Dec 25 2017 mpluskal@suse.com
- Cleanup specfile
* Wed Oct 25 2017 dan.weatherill@cantab.net
- generate package from pyPI using py2pack
